package com.police.policedatasystem.model;

import java.io.Serializable;
import java.util.List;

/**
 * 重点人详情
 */
public class KeyPersonDetail implements Serializable {
    private String fwcs;//服务场所
    private String gmsfhm;//身份证号码
    private String hcdp;//火车订票信息
    private String hjdz;//户籍地址
    private String jg;//籍贯
    private String kcdp;//客车订票信息
    private String fjdp;//飞机订票信息
    private String mz;//民族
    private String xb;//性别
    private String xm;//姓名
    private String zjzs;//最近住宿
    private String zp;//照片
    private String djchphm;//机动车牌号
    private String jzdhhm;//手机号
    private String hypo;//婚姻
    private String sjgj;//手机轨迹
    private String clzhwz;//车辆最后位置
    private String bq;//标签

    public String getBq() {
        return bq;
    }

    public void setBq(String bq) {
        this.bq = bq;
    }

    public String getClzhwz() {
        return clzhwz;
    }

    public void setClzhwz(String clzhwz) {
        this.clzhwz = clzhwz;
    }

    public String getSjgj() {
        return sjgj;
    }

    public String getFjdp() {
        return fjdp;
    }

    public void setFjdp(String fjdp) {
        this.fjdp = fjdp;
    }

    public void setSjgj(String sjgj) {
        this.sjgj = sjgj;
    }

    public String getHypo() {
        return hypo;
    }

    public void setHypo(String hypo) {
        this.hypo = hypo;
    }

    public String getJzdhhm() {
        return jzdhhm;
    }


    public void setJzdhhm(String jzdhhm) {
        this.jzdhhm = jzdhhm;
    }

    public String getDjchphm() {
        return djchphm;
    }

    public void setDjchphm(String djchphm) {
        this.djchphm = djchphm;
    }

    public String getZp() {
        return zp;
    }

    public void setZp(String zp) {
        this.zp = zp;
    }

    private List<Lkxx> zdryLkxxList;//姓名

    public String getFwcs() {
        return fwcs;
    }

    public void setFwcs(String fwcs) {
        this.fwcs = fwcs;
    }

    public String getGmsfhm() {
        return gmsfhm;
    }

    public void setGmsfhm(String gmsfhm) {
        this.gmsfhm = gmsfhm;
    }

    public String getHcdp() {
        return hcdp;
    }

    public void setHcdp(String hcdp) {
        this.hcdp = hcdp;
    }

    public String getHjdz() {
        return hjdz;
    }

    public void setHjdz(String hjdz) {
        this.hjdz = hjdz;
    }

    public String getJg() {
        return jg;
    }

    public void setJg(String jg) {
        this.jg = jg;
    }

    public String getKcdp() {
        return kcdp;
    }

    public void setKcdp(String kcdp) {
        this.kcdp = kcdp;
    }

    public String getMz() {
        return mz;
    }

    public void setMz(String mz) {
        this.mz = mz;
    }

    public String getXb() {
        return xb;
    }

    public void setXb(String xb) {
        this.xb = xb;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getZjzs() {
        return zjzs;
    }

    public void setZjzs(String zjzs) {
        this.zjzs = zjzs;
    }

    public List<Lkxx> getZdryLkxxList() {
        return zdryLkxxList;
    }

    public void setZdryLkxxList(List<Lkxx> zdryLkxxList) {
        this.zdryLkxxList = zdryLkxxList;
    }

    /**
     * 历史案件次数
     *
     * @return
     */
    public int getLsajcs() {
        if (zdryLkxxList!=null){
            return zdryLkxxList.size();
        }else{
            return 0;
        }
    }

    public static class Lkxx implements Serializable {
        private String gklb;//管控类别
        private String qtlb;//列管级别
        private String lkjz;//列控警种
        private String lksj;//列控时间
        private String lkyy;//列控原因
        private String zrdw;//责任单位
        private String zrmj;//责任民警
        private String yxq;//有效期
        private String gkjb;//管控级别
        private String zp;//照片

        public String getQtlb() {
            return qtlb;
        }

        public void setQtlb(String qtlb) {
            this.qtlb = qtlb;
        }

        public String getZp() {
            return zp;
        }

        public void setZp(String zp) {
            this.zp = zp;
        }

        public String getGklb() {
            return gklb;
        }

        public void setGklb(String gklb) {
            this.gklb = gklb;
        }

        public String getLkjz() {
            return lkjz;
        }

        public void setLkjz(String lkjz) {
            this.lkjz = lkjz;
        }

        public String getLksj() {
            return lksj;
        }

        public void setLksj(String lksj) {
            this.lksj = lksj;
        }

        public String getLkyy() {
            return lkyy;
        }

        public void setLkyy(String lkyy) {
            this.lkyy = lkyy;
        }

        public String getZrdw() {
            return zrdw;
        }

        public void setZrdw(String zrdw) {
            this.zrdw = zrdw;
        }

        public String getZrmj() {
            return zrmj;
        }

        public void setZrmj(String zrmj) {
            this.zrmj = zrmj;
        }

        public String getYxq() {
            return yxq;
        }

        public void setYxq(String yxq) {
            this.yxq = yxq;
        }

        public String getGkjb() {
            return gkjb;
        }

        public void setGkjb(String gkjb) {
            this.gkjb = gkjb;
        }
    }
}